<?php
/*
Plugin Name: Facebook slider
Plugin URI: http://tabengine.com/
Description: Add a Facebook slider that links to your fanpage to your WP site 
Version: 1.0
Author: Brett Rutecky
Author URI: http://www.tabengine.com
License: GPL
*/

register_activation_hook(__FILE__,'fsfacebook_slider_install'); 
function fsfacebook_slider_install() {
                                      add_option("fsfacebook_slider_onoff", '1', '', 'yes');
                                      add_option("fsfacebook_slider_fanpage", 'https://www.facebook.com/FirstSocialApps', '', 'yes');
                                      add_option("fsfacebook_slider_offset", '140', '', 'yes');
                                     }

add_action('get_footer', 'fsfacebook_slider', 1);

function fsfacebook_slider(){
                             $PGPath=plugins_url()."/facebook_slider/";
                             wp_enqueue_script('jquery'); 
                             $SOF=get_option('fsfacebook_slider_onoff');
                             $SFP=get_option('fsfacebook_slider_fanpage');
                             $OFS=get_option('fsfacebook_slider_offset');                                     

                             if ($SOF!="0"){
                             echo "
                                   <div id='fb-root'></div>
                                   <script>(function(d, s, id) {
                                   var js, fjs = d.getElementsByTagName(s)[0];
                                   if (d.getElementById(id)) return;
                                   js = d.createElement(s); js.id = id;
                                   js.src = \"//connect.facebook.net/en_GB/all.js#xfbml=1&appId=143817155791644\";
                                   fjs.parentNode.insertBefore(js, fjs);
                                   }(document, 'script', 'facebook-jssdk'));</script>
                                   
                                   <div style='position:fixed; top:$OFS"."px; right:-342px; width:400px; z-index:9998;' id='FbSlider'>
                                   <div style='position:absolute; left:2px; top:5px;' onmouseover=\"fb_slideout();\">
                                   <img src='$PGPath"."img/icon.png' style='z-index:9999; cursor:pointer;' onclick=\"fb_slidein();\">
                                   </div>
                                   <div style='width:330px; float:right; border:6px solid #3B5998; height:490px; border-radius: 4px; overflow:hidden; background-color:#ffffff;'>
                                   <div class='fb-like-box' data-href='$SFP' data-width='300' data-show-faces='true' data-stream='true' data-header='false'></div>
    
                                   </div>
                                   </div>
                                   <script type='text/javascript'>
                                   function fb_slideout(){
                                                          jQuery('#FbSlider').animate({
                                                                                       right: '-35px',
                                                                                      }, 500, function() {
                                                                                                          // Animation complete.
                                                                                                          });
                                              
                                             }
                           
                                       
                                   function fb_slidein(){
                                                         jQuery('#FbSlider').animate({
                                                                                       right: '-342px',
                                                                                      }, 500, function() {
                                                                                                          // Animation complete.
                                                                                                         });
                                                        }
                                                                 
                                   </script>    
                                  ";
                                }  
                              }    
                            
                            
if ( is_admin() ){

/* Call the html code */
add_action('admin_menu', 'fsslider_admin_menu');

function fsslider_admin_menu() {
add_menu_page('Facebook Slider', 'Facebook Slider', 'administrator',
'facebook-slider', 'fsslider_admin');
}
}

function fsslider_admin(){
                  $PGPath=plugins_url()."/facebook_slider/";
                  wp_enqueue_script('jquery'); 
                  $SOF=get_option('fsfacebook_slider_onoff');
                  $SFP=get_option('fsfacebook_slider_fanpage');                                     
                  $OFS=get_option('fsfacebook_slider_offset');
?>                                     
<h3>Facebook Slider Options</h3>
<table>
<tr><td>Slider On / Off</td><td><select id="SliderOnOff" style="width:250px;">
                                 <option value="1" <?php if ($SOF=="1"){echo " selected='selected' "; }?>>Slider On</option>
                                 <option value="0" <?php if ($SOF=="0"){echo " selected='selected' "; }?>>Slider Off</option>
                                </select></td></tr>
<tr><td>Fanpage URL</td><td><input type="text" id="FanpageURL" value="<?php echo $SFP; ?>" style="width:400px;"></td></tr>
<tr><td>Slider Offset</td><td><input type="text" id="SliderOffset" value="<?php echo $OFS; ?>" style="width:250px;"></td></tr> 
<tr><td colspan="2" height="75"><button onclick="fs_SaveSettings();">Save Settings</button></td></tr>
</table> 
<br>&nbsp;<br>&nbsp;<br>
* The Fanpage URL needs to be a full URL and must be the URL of a valid fanpage.<br>
* Offset is how far from the top of the screen the slider will be. It is in pixels<br>
* This plug in provided free of charge by <a href="http://www.tabengine.com" target="_blank">Tab Engine</a>                               

<script type="text/javascript">
 function fs_SaveSettings(){
                     var SOF=jQuery('#SliderOnOff').val();
                     var SFP=jQuery('#FanpageURL').val();
                     var OFS=jQuery('#SliderOffset').val();
                     jQuery.post('<?php echo $PGPath; ?>savechanges.php',{SOF:SOF, SFP:SFP, OFS:OFS}, function(data) {
                                                                                                                  alert('Changes Saved');
                                                                                                                 });
                           }                                                                                      
</script>
<?php
}
?>